Skip to main content
PATCH
cURL

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Path Parameters

orgId
string
required

Organization identifier

dsarId
string
required

DSAR identifier

Body

application/json

Input for updating DSAR status

status
enum<string>
required

New status

Available options:
RECEIVED,
VERIFIED,
IN_PROGRESS,
COMPLETED,
DENIED,
OVERDUE
processedBy
string

User processing the request

response
object

Response data to include

Response

200 - application/json

OK

A data subject access request record

id
string
required

Unique DSAR identifier

orgId
string
required

Organization identifier

type
enum<string>
required

Type of data subject request

Available options:
ACCESS,
DELETE,
RECTIFY,
PORTABILITY,
RESTRICT
status
enum<string>
required

Current status of the data subject request

Available options:
RECEIVED,
VERIFIED,
IN_PROGRESS,
COMPLETED,
DENIED,
OVERDUE
subjectEmail
string
required

Email of the data subject

subjectName
string | null
required

Name of the data subject

subjectId
string | null
required

Identifier of the data subject

description
string | null
required

Request description

requestedAt
string
required

ISO 8601 request timestamp

verifiedAt
string | null
required

ISO 8601 verification timestamp

dueAt
string
required

ISO 8601 due date

completedAt
string | null
required

ISO 8601 completion timestamp

processedBy
string | null
required

User who processed the request

response
object | null
required

Response data

metadata
object
required

Additional metadata

createdAt
string
required

ISO 8601 creation timestamp

updatedAt
string
required

ISO 8601 last update timestamp